/*
 * @package   admintools
 * @copyright Copyright (c)2010-2021 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

-- Ensure the correct character set and collation for all tables and columns
ALTER TABLE `#__admintools_adminiplist`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `ip` `ip` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `description` `description` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_badwords`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `word` `word` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_customperms`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `path` `path` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_filescache`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `path` `path` varchar(2048) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `checksum` `checksum` varchar(32) NOT NULL DEFAULT '' COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_ipautoban`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `ip` `ip` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `reason` `reason` varchar(255) DEFAULT 'other' COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_ipblock`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `ip` `ip` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `description` `description` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_log`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `ip` `ip` varchar(40) DEFAULT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `url` `url` varchar(10240) DEFAULT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_redirects`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `source` `source` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `dest` `dest` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_scanalerts`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `path` `path` varchar(2048) COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_storage`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `key` `key` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_wafexceptions`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `option` `option` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `view` `view` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `query` `query` varchar(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_wafblacklists`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `option` `option` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `view` `view` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `task` `task` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `query` `query` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `query_type` `query_type` varchar(1) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `query_content` `query_content` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `verb` `verb` varchar(6) NOT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_ipautobanhistory`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `ip` `ip` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `reason` `reason` varchar(255) DEFAULT 'other' COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__admintools_cookies`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `series` `series` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci,
    CHANGE `client_hash` `client_hash` varchar(255) NOT NULL COLLATE utf8mb4_unicode_ci;

ALTER TABLE `#__akeeba_common`
    DEFAULT CHARSET utf8mb4
        DEFAULT COLLATE utf8mb4_unicode_ci,
    CHANGE `key` `key` VARCHAR(190) NOT NULL COLLATE utf8mb4_unicode_ci;
